Package org.apache.sling.servlets.get.impl.helpers

# Class HtmlRenderer

java.lang.Object
org.apache.sling.servlets.get.impl.helpers.HtmlRenderer

All Implemented Interfaces:
  `Renderer`

public class HtmlRenderer extends Object implements Renderer
The `HtmlRendererServlet` renders the current resource in HTML on behalf of the `DefaultGetServlet`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final HtmlRenderer`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`HtmlRenderer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`render(org.apache.sling.api.SlingJakartaHttpServletRequest req, org.apache.sling.api.SlingJakartaHttpServletResponse resp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final HtmlRenderer INSTANCE

## Constructor Details

### HtmlRenderer

public HtmlRenderer()

## Method Details

### render

public void render(org.apache.sling.api.SlingJakartaHttpServletRequest req, org.apache.sling.api.SlingJakartaHttpServletResponse resp) throws IOException

Specified by:
  `render` in interface `Renderer`
Throws:
  `IOException`